using System.Web.Mvc;

namespace MvcMembership.Areas.UserAdministration
{
    [HandleError]
    public class HomeController : Controller
    {
        //[Authorize()]
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC! from MVCAuthorization Area";

            return View();
        }

        //[Authorize()]
        public ActionResult About()
        {
            return View();
        }

        //[Authorize()]
        public ActionResult Help()
        {
            return View();
        }

        [Authorize(Roles = "User")]
        public ActionResult DataEntry()
        {
            return View();
        }
    }
}
